#
# spec file for package flickrnet
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flickrnet
Version:        3.5
Release:        8.23
Summary:        Flickr
License:        LGPL-2.1+ or CPL-1.0
Group:          Productivity/Networking/Other
Url:            http://www.codeplex.com/FlickrNet
Source:         FlickrNet3.5-Src-99196.zip
BuildRequires:  mono-devel
BuildRequires:  unzip
BuildArch:      noarch

%description
The Flickr.Net API is a .Net Library for accessing the Flickr API. Written entirely in C# it can be accessed from with any .Net language.

%package devel
Summary:        Development files for Flickr.Net
Group:          Development/Languages/Mono
Requires:       %{name} = %{version}
Requires:       pkgconfig

%description devel
The Flickr.Net API is a .NET Library for interacting with the Flickr API. It
can be accessed from any .NET language.

The %{name}-devel package contains development files for %{name}.

%prep
%setup -q -c -n FlickrNet

%build
pushd FlickrNet
xbuild FlickrNet.csproj
echo "prefix=%{_prefix}" > flickrnet.pc
echo "assemblies_dir=\${prefix}/lib/mono/flickrnet" >> flickrnet.pc
echo "Libraries=\${assemblies_dir}/FlickrNet.dll" >> flickrnet.pc
echo "Name: FlickrNet" >> flickrnet.pc
echo "Description: Flickr.Net API Library" >> flickrnet.pc
echo "Version: %{version}" >> flickrnet.pc
echo "Libs: -r:\${assemblies_dir}/FlickrNet.dll" >> flickrnet.pc
popd

%install
pushd FlickrNet
sn -v bin/Debug/FlickrNet.dll || if [[ $? = 1 ]]; then
  sn -R bin/Debug/FlickrNet.dll FlickrNet.snk
fi
gacutil -i bin/Debug/FlickrNet.dll -package flickrnet -root %{buildroot}%{_prefix}/lib
mkdir -p %{buildroot}%{_datadir}/pkgconfig
cp flickrnet.pc %{buildroot}%{_datadir}/pkgconfig/
popd

%files
%defattr(-,root,root)
%{_prefix}/lib/mono/%{name}
%{_prefix}/lib/mono/gac/FlickrNet

%files devel
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Tue May  2 2017 fwdsbs.to.11df@xoxy.net
- Change pkgconfig-file generation logic - protect it from being broken by OBS source_validators
- Add verification for assembly signature presence, and manually sign it before adding assembly to GAC, this should fix build with Mono 5.0.
- Alter %%setup macro to create toplevel directory
* Sun Sep 30 2012 sshaw@decriptor.com
- Updated to version 3.5
  + Subscription methods (push.*)
  + Photo Location Suggestion methods (photos.suggestions.*)
  + Group Discussion and Joining methods (groups.discuss.* etc)
  + Large raft of new unit tests to improve code coverage
  + Custom exceptions thrown based on errors returned from Flickr. All inherit from FlickrApiException so backwards compatible.
  + Fix in OAuth code to handle international character correctly.
  + Support for Large Square (150x150) and Small 320 urls.
  + Update to ParseDateGranularity function so it checks string, rather than capturing exceptions.
  + Many more fixes and updates
- Removed assemblyinfo patch
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Nov 14 2011 sshaw@decriptor.com
- Fix the license
* Wed Sep 28 2011 sshaw@decriptor.com
- Updated to version 2.2:
  * Upstream provides no changelog
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Wed Jun 17 2009 ajorgensen@novell.com
- Initial package
